<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Spatie\Permission\Models\Permission as SpatiePermission;

class Permission extends SpatiePermission
{
    protected $guarded = [];

    public function group(): BelongsTo
    {
        return $this->belongsTo(PermissionGroup::class,'permission_group_id');
    }
}
